NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.BodyDes.OnestepUnformBuilder Class Reference

Represents a NXOpen.BodyDes.OnestepUnformBuilder . More...

Inheritance diagram for NXOpen.BodyDes.OnestepUnformBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Constraint { CurveToCurve, PointToPoint, CurveAlongCurve }
 The constraints of onestep unform. More...
 
enum  Convergency { Low, Medium, High }
 The solver convergency level of onestep unform. More...
 
enum  DisplaySpringbackMode { Displacement, Alongx, Alongy, Alongz }
 The mode of display springback. More...
 
enum  MeshElement { Triangle, Quadrate }
 The 2-D mesh element type of onestep unform. More...
 
enum  Object { Solid, Face }
 The object types of onestep unform. More...
 
enum  Part { WithAddendum, WithoutAddendum }
 The part types of onestep unform. More...
 
enum  Process { EntireUnform, IntermediateUnform, AdvancedUnform, TrimLine }
 The process types of onestep unform. More...
 
enum  Surface { Inner, Middle, Outer }
 The surface types of onestep unform. More...
 
enum  UnfoldMode { Complete, Intermediate, Trimline, Unknown }
 The Onesetp unfold mode of onestep unform. More...
 

Public Member Functions

unsafe void Calculation ()
 Starts solver to calculate. More...
 
unsafe void Constructor (int tOnestepSolverType)
 Constructs solver to prepare the data. More...
 
unsafe void CreateSheetBody (bool readResultFromFeature)
 Creates unform sheet body result. More...
 
unsafe void DeleteOffsetSheetBody ()
 Deletes the offset body when the object type is body. More...
 
unsafe void Destructor ()
 Destructs solver to release the data. More...
 
unsafe void DisplayProfile (bool readResultFromFeature)
 Displays profile result. More...
 
unsafe void GetBlankShape (out double[] nodes)
 Gets the blank result nodes. More...
 
unsafe void GetBorderLoops (out int[] index, out int[] nodeIdentifications)
 Gets the boundary loop IDs. More...
 
unsafe void GetBottomSurfaceStrain (out double[] nodes)
 Gets the bottom surface strain result. More...
 
unsafe void GetBottomSurfaceStress (out double[] nodes)
 Gets the bottom surface stress result. More...
 
unsafe int[] GetContactNodeIds ()
 Gets the element node IDs where the product face meshes and addendum faces mesh are contacting within the given tolerance. More...
 
unsafe void GetMeshes (out double[] vnode, out int[] constraintId, out int[] element)
 Gets the mesh element data. More...
 
unsafe int GetMinNodeID ()
 Gets the minimum node ID. More...
 
unsafe void GetNodeIdsOnFreeEdge (out int[] index, out int[] nodeIdentifications)
 Gets the node IDs on the free edges (non-constrainted boundary edges). More...
 
unsafe int GetRefNode ()
 Gets the reference node ID. More...
 
unsafe int GetSolverType ()
 Gets the solver calculation type. More...
 
unsafe void GetSpringbackShape (out double[] nodes)
 Gets the springbrack result. More...
 
unsafe void GetStrain (out double[] strains)
 Gets the strain result. More...
 
unsafe void GetStress (out double[] stress)
 Gets the stress result. More...
 
unsafe void GetThickness (out double[] thickness)
 Gets Thickness. More...
 
unsafe void GetTopSurfaceStrain (out double[] nodes)
 Gets the top surface strain result. More...
 
unsafe void GetTopSurfaceStress (out double[] nodes)
 Gets the top surface stress result. More...
 
unsafe void IsResultExist ()
 Checks whether the result is available or not. More...
 
unsafe void Mesh ()
 Create FEM 2-D meshes based on the unform region surfaces and the target region surfaces. More...
 
unsafe void OnestepUnformRegisterProjectCallback ()
 Register the callback to solver. More...
 
unsafe void SetAdvancedConstraintInformation (int advancedConstraintPartType, NXOpen.TaggedObject[] blankHolderWithAddendumBinderRegion, NXOpen.TaggedObject[] blankHolderWithoutAddendumBoundaryOfPart, double blankHolderWithAddendumPressure, double blankHolderWithAddendumForce, double blankHolderWithoutAddendumTension, double blankHolderWithoutAddendumForce, double blankHolderWithoutAddendumForceStrength, NXOpen.TaggedObject[] drawbeadTag, double[] drawbeadTtension, double[] drawbeadNtension, double[] drawbeadForceStrength)
 Set advanced constraint information. More...
 
unsafe void SetBlankThickness (double thickness)
 Sets the blank thickness. More...
 
unsafe void SetBorderInfo (NXOpen.TaggedObject[] edgeTags, int[] nids, int[] groupInfo)
 Sets the boundary condition information. More...
 
unsafe void SetConstraintInformation (bool noCommonEdges, int[] revisedDirU, int[] revisedDirT, int[] index, int[] constraintType, int[] cacNumsUnform, int[] cacNumsTarget, NXOpen.TaggedObject[] consCurveFromUnform, NXOpen.TaggedObject[] consCurveFromTarget, NXOpen.Point[] consPointFromUnform, NXOpen.Point[] consPointFromTarget, double[] startPtOfConsCrvsUnform, double[] startPtOfConsCrvsTarget)
 Set constraint information. More...
 
unsafe void SetDrawDirection (int tdx, int tdy, int tdz)
 Sets the unform draw direction. More...
 
unsafe bool SetFacesOnOffsetSheet (NXOpen.Body unfoldBody)
 Sets the offset faces when the object type is body. More...
 
unsafe void SetNodeIDsOnFreeEdge (int[] index, int[] nids)
 Sets the node IDs on the free edges (non-constrainted boundary edges). More...
 
unsafe void SetResultBlankShape (double[] blankshape)
 Sets blank shape result. More...
 
unsafe void SetResultNodesIdsOnProfile (int[] nids)
 Sets profile node ID result. More...
 
unsafe void SetResultNodesNumEachProfileCurve (int[] indexs)
 Sets total number of node on each profile. More...
 
unsafe void SetResultRefNodeId (int resultRefNodeId)
 Sets reference node ID. More...
 
unsafe void SetResultSpringBack (double[] springback)
 Sets springback result. More...
 
unsafe void SetResultStrain (double[] strain)
 Sets strain result. More...
 
unsafe void SetResultStress (double[] stress)
 Sets stress result. More...
 
unsafe void SetResultThickness (double[] thickness)
 Sets thickness result. More...
 
unsafe void SetSurfaceType (int tOnestepSolverSurfaceType)
 Sets the unform surface type. More...
 
unsafe void UpdateInputMeshDataToSolver ()
 Updates the mesh elements to solver. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.ScCollector BinderRegion [get]
 Returns the binder region which is a group of faces user chooses as holder. More...
 
unsafe
NXOpen.BodyDes.OnestepUnformBuilder.Constraint 
ConstraintType [get, set]
 Returns or sets the constraint type for intermediate unform or complete unform. More...
 
unsafe double ContactPointsTolerance [get, set]
 Returns or sets the tolerance to find contact points. More...
 
unsafe NXOpen.Direction DrawDirection [get, set]
 Returns or sets the draw direction used to define the normal of unform base plane. More...
 
unsafe double Force [get, set]
 Returns or sets the force on blank holder. More...
 
unsafe double ForceStrength [get, set]
 Returns or sets the force strength on blank holder. More...
 
unsafe bool InferElementSize [get, set]
 Returns or sets the option to infer 2-D element size. More...
 
unsafe bool InferThickness [get, set]
 Returns or sets the option to infer thickness. More...
 
unsafe NXOpen.Point MatchPointOne [get, set]
 Returns or sets the first match point for spring back calculation. More...
 
unsafe NXOpen.Point MatchPointThree [get, set]
 Returns or sets the third match point for spring back calculation. More...
 
unsafe NXOpen.Point MatchPointTwo [get, set]
 Returns or sets the second match point for spring back calculation. More...
 
unsafe double MaterialPropertyDensity [get, set]
 Returns or sets the density of material. More...
 
unsafe double MaterialPropertyE [get, set]
 Returns or sets the material property elasticity(E) which enables a material to return to its original shape and dimension. More...
 
unsafe double MaterialPropertyF [get, set]
 Returns or sets the friction of material. More...
 
unsafe double MaterialPropertyInitialStrain [get, set]
 Returns or sets the material initial strain to represent in a material upon achieving the given loading conditions in a relaxation or creep test. More...
 
unsafe double MaterialPropertyK [get, set]
 Returns or sets the K(Strength Coefficient) of material. More...
 
unsafe double MaterialPropertyN [get, set]
 Returns or sets the material n(Hardening Exponent) to represent the constant index used in calculations for stress-strain behaviour. More...
 
unsafe double MaterialPropertyPoisson [get, set]
 Returns or sets the material Poisson's ratio between the contraction at right angles to a stress and the direct extension. More...
 
unsafe double MaterialPropertyR0 [get, set]
 Returns or sets the r0(Anisotropy Coefficient) of material. More...
 
unsafe double MaterialPropertyR45 [get, set]
 Returns or sets the r45(Anisotropy Coefficient) of material. More...
 
unsafe double MaterialPropertyR90 [get, set]
 Returns or sets the r90(Anisotropy Coefficient) of material. More...
 
unsafe double MaterialPropertyYieldStress [get, set]
 Returns or sets the yield stress of material. More...
 
unsafe bool MeshAttemptMapping [get, set]
 Returns or sets the option to attemp mapping for mesh elements. More...
 
unsafe double MeshElementSize [get, set]
 Returns or sets the 2-D element size for mesh. More...
 
unsafe
NXOpen.BodyDes.OnestepUnformBuilder.MeshElement 
MeshElementType [get, set]
 Returns or sets the 2-D mesh element type, either triangle or quadrate element. More...
 
unsafe double MeshMaxJacobian [get, set]
 Returns or sets the maximum Jacobian for mesh elements. More...
 
unsafe double MeshMaxWarp [get, set]
 Returns or sets the maximum warp for meshing. More...
 
unsafe bool MeshProcessFillet [get, set]
 Returns or sets the option to process fillet for mesh element. More...
 
unsafe int MeshSizeVariation [get, set]
 Returns or sets the variation of mesh element size. More...
 
unsafe double MeshSmallFeature [get, set]
 Returns or sets the value of small feature for mesh setting More...
 
unsafe bool MeshSplitQuad [get, set]
 Returns or sets the option to split quadrate element to triangle element when creating meshes. More...
 
unsafe
NXOpen.BodyDes.OnestepUnformBuilder.Object 
ObjectType [get, set]
 Returns or sets the object type for onestep unform. More...
 
unsafe NXOpen.ScCollector PartBoundary [get]
 Returns the boundary which is a group of edges user chooses to apply on equivalent force. More...
 
unsafe
NXOpen.BodyDes.OnestepUnformBuilder.Part 
PartType [get, set]
 Returns or sets the part type for onestep unform. More...
 
unsafe double Pressure [get, set]
 Returns or sets the pressure on blank holder. More...
 
unsafe
NXOpen.BodyDes.OnestepUnformBuilder.Process 
ProcessType [get, set]
 Returns or sets the process type for onestep unform. More...
 
unsafe bool ReportDisplayFlattenShape [get, set]
 Returns or sets the option to display result flatten shape in report. More...
 
unsafe bool ReportDisplaySpringback [get, set]
 Returns or sets the option to display springback result in report. More...
 
unsafe bool ReportDisplayStrain [get, set]
 Returns or sets the option to display strain in report. More...
 
unsafe bool ReportDisplayStress [get, set]
 Returns or sets the option to display stress in report. More...
 
unsafe bool ReportDisplayThickness [get, set]
 Returns or sets the option to display thickness information in report. More...
 
unsafe bool ReportDisplayViewControl [get, set]
 Returns or sets the option to control view while creating screen image in report. More...
 
unsafe bool ReverseSide [get, set]
 Returns or sets the option to indicate whether or not to unform the profile to the other side on the target body. More...
 
unsafe
NXOpen.BodyDes.OnestepUnformBuilder.Convergency 
SolverConvergencyLevel [get, set]
 Returns or sets the convergency level of onestep solver. More...
 
unsafe
NXOpen.BodyDes.OnestepUnformBuilder.DisplaySpringbackMode 
SolverDisplaySpringbackMode [get, set]
 Returns or sets the option for springback display. More...
 
unsafe bool SolverDoSpringbackCalculation [get, set]
 Returns or sets the option to do springback calculation in onestep solver. More...
 
unsafe bool SolverJoinOutputCurves [get, set]
 Returns or sets the option to join output curves. More...
 
unsafe int SolverMaxIterationSteps [get, set]
 Returns or sets the maximum number of iteration steps in onestep solver. More...
 
unsafe bool SolverSaveAnalysisResultsIntoFeature [get, set]
 Returns or sets the option to save analysis result into feature. More...
 
unsafe
NXOpen.BodyDes.OnestepUnformBuilder.Surface 
SurfaceType [get, set]
 Returns or sets the surface type used to determine offset direction. More...
 
unsafe NXOpen.ScCollector TargetRegion [get]
 Returns the target region which is a group of faces user chooses to unfrom to. More...
 
unsafe double Thickness [get, set]
 Returns or sets the thickness of sheet metal model. More...
 
unsafe NXOpen.Direction ThicknessDirection [get, set]
 Returns or sets the thickness direction used to define the direction of product thickness at the specific point in trimline. More...
 
unsafe NXOpen.Point TrimlinePoint [get, set]
 Returns or sets the point where the thickness direction is defined for trimline. More...
 
unsafe
NXOpen.BodyDes.OnestepUnformBuilder.UnfoldMode 
UnfoldModeType [get, set]
 Returns or sets the onestep unfold mode. More...
 
unsafe NXOpen.Body UnfoldSolid [get, set]
 Returns or sets the solid body to unform. More...
 
unsafe NXOpen.SelectBodyList UnfoldSolidRegion [get]
 Returns the unfold solid regions which are a group of faces user chooses to unform. More...
 
unsafe NXOpen.ScCollector UnformRegion [get]
 Returns the unform region which is a group of faces user chooses to unform. More...
 
unsafe NXOpen.Section UnformSection [get, set]
 Returns or sets the unform section which includes a group of user selected points or curves. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.BodyDes.OnestepUnformBuilder .

This allows the creation of an Onestep Unform.

To create a new instance of this class, use NXOpen.BodyDes.OnestepUnformCollection.CreateOnestepBuilder

Created in NX5.0.0

Member Enumeration Documentation

The constraints of onestep unform.

Enumerator
CurveToCurve 

Curve to Curve Constraint, used for intermediate unform only

PointToPoint 

Point to Point Constraint, used for complete unform only

CurveAlongCurve 

Curve along Curve Constraint, used for complete unform only

The solver convergency level of onestep unform.

Enumerator
Low 

Onestep solver convergency level is low

Medium 

Onestep solver convergency level is medium

High 

Onestep solver convergency level is high

The mode of display springback.

Enumerator
Displacement 

Onestep display springback mode is displacement

Alongx 

Onestep display springback mode is along X

Alongy 

Onestep display springback mode is along Y

Alongz 

Onestep display springback mode is along Z

The 2-D mesh element type of onestep unform.

Enumerator
Triangle 

Generate 2D triangle mesh element

Quadrate 

Generate 2D quadrate mesh element

The object types of onestep unform.

Enumerator
Solid 

solid

Face 

face

The part types of onestep unform.

Enumerator
WithAddendum 

part with addendum

WithoutAddendum 

part without addendum

The process types of onestep unform.

Enumerator
EntireUnform 

entire

IntermediateUnform 

intermediate

AdvancedUnform 

spring back

TrimLine 

trim line

The surface types of onestep unform.

Enumerator
Inner 

Onestep solver will offset inner surface and enlarge it

Middle 

Onestep solver will not offset middle surface

Outer 

Onestep solver will offset outer surface and shrink it

The Onesetp unfold mode of onestep unform.

Enumerator
Complete 

Onestep unfold mode is complete

Intermediate 

Onestep unfold mode is intermediate

Trimline 

Onestep unfold mode is trimline

Unknown 

Onestep unfold mode is unknown

Member Function Documentation

unsafe void NXOpen.BodyDes.OnestepUnformBuilder.Calculation ( )
inline

Starts solver to calculate.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe void NXOpen.BodyDes.OnestepUnformBuilder.Constructor ( int  tOnestepSolverType)
inline

Constructs solver to prepare the data.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
tOnestepSolverType
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.CreateSheetBody ( bool  readResultFromFeature)
inline

Creates unform sheet body result.

Created in NX9.0.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
readResultFromFeature
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.DeleteOffsetSheetBody ( )
inline

Deletes the offset body when the object type is body.

Created in NX12.0.1

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe void NXOpen.BodyDes.OnestepUnformBuilder.Destructor ( )
inline

Destructs solver to release the data.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe void NXOpen.BodyDes.OnestepUnformBuilder.DisplayProfile ( bool  readResultFromFeature)
inline

Displays profile result.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
readResultFromFeature
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.GetBlankShape ( out double[]  nodes)
inline

Gets the blank result nodes.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
nodes
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.GetBorderLoops ( out int[]  index,
out int[]  nodeIdentifications 
)
inline

Gets the boundary loop IDs.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
index
nodeIdentifications
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.GetBottomSurfaceStrain ( out double[]  nodes)
inline

Gets the bottom surface strain result.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
nodes
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.GetBottomSurfaceStress ( out double[]  nodes)
inline

Gets the bottom surface stress result.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
nodes
unsafe int [] NXOpen.BodyDes.OnestepUnformBuilder.GetContactNodeIds ( )
inline

Gets the element node IDs where the product face meshes and addendum faces mesh are contacting within the given tolerance.

Created in NX11.0.1

License requirements: None.

Returns
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.GetMeshes ( out double[]  vnode,
out int[]  constraintId,
out int[]  element 
)
inline

Gets the mesh element data.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
vnode
constraintId
element
unsafe int NXOpen.BodyDes.OnestepUnformBuilder.GetMinNodeID ( )
inline

Gets the minimum node ID.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Returns
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.GetNodeIdsOnFreeEdge ( out int[]  index,
out int[]  nodeIdentifications 
)
inline

Gets the node IDs on the free edges (non-constrainted boundary edges).

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
index
nodeIdentifications
unsafe int NXOpen.BodyDes.OnestepUnformBuilder.GetRefNode ( )
inline

Gets the reference node ID.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Returns
unsafe int NXOpen.BodyDes.OnestepUnformBuilder.GetSolverType ( )
inline

Gets the solver calculation type.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Returns
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.GetSpringbackShape ( out double[]  nodes)
inline

Gets the springbrack result.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
nodes
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.GetStrain ( out double[]  strains)
inline

Gets the strain result.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
strains
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.GetStress ( out double[]  stress)
inline

Gets the stress result.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
stress
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.GetThickness ( out double[]  thickness)
inline

Gets Thickness.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
thickness
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.GetTopSurfaceStrain ( out double[]  nodes)
inline

Gets the top surface strain result.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
nodes
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.GetTopSurfaceStress ( out double[]  nodes)
inline

Gets the top surface stress result.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
nodes
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.IsResultExist ( )
inline

Checks whether the result is available or not.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe void NXOpen.BodyDes.OnestepUnformBuilder.Mesh ( )
inline

Create FEM 2-D meshes based on the unform region surfaces and the target region surfaces.

Created in NX5.0.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe void NXOpen.BodyDes.OnestepUnformBuilder.OnestepUnformRegisterProjectCallback ( )
inline

Register the callback to solver.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe void NXOpen.BodyDes.OnestepUnformBuilder.SetAdvancedConstraintInformation ( int  advancedConstraintPartType,
NXOpen.TaggedObject[]  blankHolderWithAddendumBinderRegion,
NXOpen.TaggedObject[]  blankHolderWithoutAddendumBoundaryOfPart,
double  blankHolderWithAddendumPressure,
double  blankHolderWithAddendumForce,
double  blankHolderWithoutAddendumTension,
double  blankHolderWithoutAddendumForce,
double  blankHolderWithoutAddendumForceStrength,
NXOpen.TaggedObject[]  drawbeadTag,
double[]  drawbeadTtension,
double[]  drawbeadNtension,
double[]  drawbeadForceStrength 
)
inline

Set advanced constraint information.

Created in NX8.5.0

License requirements: None.

Parameters
advancedConstraintPartType
blankHolderWithAddendumBinderRegionObjects to be checked
blankHolderWithoutAddendumBoundaryOfPartObjects to be checked
blankHolderWithAddendumPressure
blankHolderWithAddendumForce
blankHolderWithoutAddendumTension
blankHolderWithoutAddendumForce
blankHolderWithoutAddendumForceStrength
drawbeadTagObjects to be checked
drawbeadTtension
drawbeadNtension
drawbeadForceStrength
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.SetBlankThickness ( double  thickness)
inline

Sets the blank thickness.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
thickness
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.SetBorderInfo ( NXOpen.TaggedObject[]  edgeTags,
int[]  nids,
int[]  groupInfo 
)
inline

Sets the boundary condition information.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
edgeTagsObjects to be checked
nids
groupInfo
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.SetConstraintInformation ( bool  noCommonEdges,
int[]  revisedDirU,
int[]  revisedDirT,
int[]  index,
int[]  constraintType,
int[]  cacNumsUnform,
int[]  cacNumsTarget,
NXOpen.TaggedObject[]  consCurveFromUnform,
NXOpen.TaggedObject[]  consCurveFromTarget,
NXOpen.Point[]  consPointFromUnform,
NXOpen.Point[]  consPointFromTarget,
double[]  startPtOfConsCrvsUnform,
double[]  startPtOfConsCrvsTarget 
)
inline

Set constraint information.

Created in NX8.5.0

License requirements: None.

Parameters
noCommonEdges
revisedDirU
revisedDirT
index
constraintType
cacNumsUnform
cacNumsTarget
consCurveFromUnformObjects to be checked
consCurveFromTargetObjects to be checked
consPointFromUnformObjects to be checked
consPointFromTargetObjects to be checked
startPtOfConsCrvsUnform
startPtOfConsCrvsTarget
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.SetDrawDirection ( int  tdx,
int  tdy,
int  tdz 
)
inline

Sets the unform draw direction.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
tdx
tdy
tdz
unsafe bool NXOpen.BodyDes.OnestepUnformBuilder.SetFacesOnOffsetSheet ( NXOpen.Body  unfoldBody)
inline

Sets the offset faces when the object type is body.

Created in NX11.0.2

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
unfoldBody
Returns
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.SetNodeIDsOnFreeEdge ( int[]  index,
int[]  nids 
)
inline

Sets the node IDs on the free edges (non-constrainted boundary edges).

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
index
nids
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.SetResultBlankShape ( double[]  blankshape)
inline

Sets blank shape result.

Created in NX8.5.0

License requirements: None.

Parameters
blankshape
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.SetResultNodesIdsOnProfile ( int[]  nids)
inline

Sets profile node ID result.

Created in NX8.5.0

License requirements: None.

Parameters
nids
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.SetResultNodesNumEachProfileCurve ( int[]  indexs)
inline

Sets total number of node on each profile.

Created in NX8.5.0

License requirements: None.

Parameters
indexs
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.SetResultRefNodeId ( int  resultRefNodeId)
inline

Sets reference node ID.

Created in NX8.5.0

License requirements: None.

Parameters
resultRefNodeId
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.SetResultSpringBack ( double[]  springback)
inline

Sets springback result.

Created in NX8.5.0

License requirements: None.

Parameters
springback
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.SetResultStrain ( double[]  strain)
inline

Sets strain result.

Created in NX8.5.0

License requirements: None.

Parameters
strain
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.SetResultStress ( double[]  stress)
inline

Sets stress result.

Created in NX8.5.0

License requirements: None.

Parameters
stress
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.SetResultThickness ( double[]  thickness)
inline

Sets thickness result.

Created in NX8.5.0

License requirements: None.

Parameters
thickness
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.SetSurfaceType ( int  tOnestepSolverSurfaceType)
inline

Sets the unform surface type.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
tOnestepSolverSurfaceType
unsafe void NXOpen.BodyDes.OnestepUnformBuilder.UpdateInputMeshDataToSolver ( )
inline

Updates the mesh elements to solver.

Created in NX8.5.0

License requirements: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Property Documentation

unsafe NXOpen.ScCollector NXOpen.BodyDes.OnestepUnformBuilder.BinderRegion
get

Returns the binder region which is a group of faces user chooses as holder.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.BodyDes.OnestepUnformBuilder.Constraint NXOpen.BodyDes.OnestepUnformBuilder.ConstraintType
getset

Returns or sets the constraint type for intermediate unform or complete unform.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe double NXOpen.BodyDes.OnestepUnformBuilder.ContactPointsTolerance
getset

Returns or sets the tolerance to find contact points.

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.Direction NXOpen.BodyDes.OnestepUnformBuilder.DrawDirection
getset

Returns or sets the draw direction used to define the normal of unform base plane.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe double NXOpen.BodyDes.OnestepUnformBuilder.Force
getset

Returns or sets the force on blank holder.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe double NXOpen.BodyDes.OnestepUnformBuilder.ForceStrength
getset

Returns or sets the force strength on blank holder.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal")

unsafe bool NXOpen.BodyDes.OnestepUnformBuilder.InferElementSize
getset

Returns or sets the option to infer 2-D element size.

If it is true, the element size will be auto-detected. If it is false, the element size will be required as input.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe bool NXOpen.BodyDes.OnestepUnformBuilder.InferThickness
getset

Returns or sets the option to infer thickness.

If it is true, the thickness will be auto-detected. If it is false, thickness will be required to input.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.Point NXOpen.BodyDes.OnestepUnformBuilder.MatchPointOne
getset

Returns or sets the first match point for spring back calculation.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.Point NXOpen.BodyDes.OnestepUnformBuilder.MatchPointThree
getset

Returns or sets the third match point for spring back calculation.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.Point NXOpen.BodyDes.OnestepUnformBuilder.MatchPointTwo
getset

Returns or sets the second match point for spring back calculation.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe double NXOpen.BodyDes.OnestepUnformBuilder.MaterialPropertyDensity
getset

Returns or sets the density of material.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe double NXOpen.BodyDes.OnestepUnformBuilder.MaterialPropertyE
getset

Returns or sets the material property elasticity(E) which enables a material to return to its original shape and dimension.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe double NXOpen.BodyDes.OnestepUnformBuilder.MaterialPropertyF
getset

Returns or sets the friction of material.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe double NXOpen.BodyDes.OnestepUnformBuilder.MaterialPropertyInitialStrain
getset

Returns or sets the material initial strain to represent in a material upon achieving the given loading conditions in a relaxation or creep test.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe double NXOpen.BodyDes.OnestepUnformBuilder.MaterialPropertyK
getset

Returns or sets the K(Strength Coefficient) of material.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe double NXOpen.BodyDes.OnestepUnformBuilder.MaterialPropertyN
getset

Returns or sets the material n(Hardening Exponent) to represent the constant index used in calculations for stress-strain behaviour.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe double NXOpen.BodyDes.OnestepUnformBuilder.MaterialPropertyPoisson
getset

Returns or sets the material Poisson's ratio between the contraction at right angles to a stress and the direct extension.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe double NXOpen.BodyDes.OnestepUnformBuilder.MaterialPropertyR0
getset

Returns or sets the r0(Anisotropy Coefficient) of material.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe double NXOpen.BodyDes.OnestepUnformBuilder.MaterialPropertyR45
getset

Returns or sets the r45(Anisotropy Coefficient) of material.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe double NXOpen.BodyDes.OnestepUnformBuilder.MaterialPropertyR90
getset

Returns or sets the r90(Anisotropy Coefficient) of material.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe double NXOpen.BodyDes.OnestepUnformBuilder.MaterialPropertyYieldStress
getset

Returns or sets the yield stress of material.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe bool NXOpen.BodyDes.OnestepUnformBuilder.MeshAttemptMapping
getset

Returns or sets the option to attemp mapping for mesh elements.

If it is true, mesh element nodes will be mapped to the orginal surface to ensure the accuracy. if it is false, it will not do mapping.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe double NXOpen.BodyDes.OnestepUnformBuilder.MeshElementSize
getset

Returns or sets the 2-D element size for mesh.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.BodyDes.OnestepUnformBuilder.MeshElement NXOpen.BodyDes.OnestepUnformBuilder.MeshElementType
getset

Returns or sets the 2-D mesh element type, either triangle or quadrate element.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe double NXOpen.BodyDes.OnestepUnformBuilder.MeshMaxJacobian
getset

Returns or sets the maximum Jacobian for mesh elements.

It is used to control the element shape and quality.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe double NXOpen.BodyDes.OnestepUnformBuilder.MeshMaxWarp
getset

Returns or sets the maximum warp for meshing.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe bool NXOpen.BodyDes.OnestepUnformBuilder.MeshProcessFillet
getset

Returns or sets the option to process fillet for mesh element.

If it is true, the small fillet area will be specially processed when generate mesh element. If it is false, it will be not specially processed.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe int NXOpen.BodyDes.OnestepUnformBuilder.MeshSizeVariation
getset

Returns or sets the variation of mesh element size.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe double NXOpen.BodyDes.OnestepUnformBuilder.MeshSmallFeature
getset

Returns or sets the value of small feature for mesh setting

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe bool NXOpen.BodyDes.OnestepUnformBuilder.MeshSplitQuad
getset

Returns or sets the option to split quadrate element to triangle element when creating meshes.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.BodyDes.OnestepUnformBuilder.Object NXOpen.BodyDes.OnestepUnformBuilder.ObjectType
getset

Returns or sets the object type for onestep unform.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.ScCollector NXOpen.BodyDes.OnestepUnformBuilder.PartBoundary
get

Returns the boundary which is a group of edges user chooses to apply on equivalent force.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.BodyDes.OnestepUnformBuilder.Part NXOpen.BodyDes.OnestepUnformBuilder.PartType
getset

Returns or sets the part type for onestep unform.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe double NXOpen.BodyDes.OnestepUnformBuilder.Pressure
getset

Returns or sets the pressure on blank holder.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.BodyDes.OnestepUnformBuilder.Process NXOpen.BodyDes.OnestepUnformBuilder.ProcessType
getset

Returns or sets the process type for onestep unform.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe bool NXOpen.BodyDes.OnestepUnformBuilder.ReportDisplayFlattenShape
getset

Returns or sets the option to display result flatten shape in report.

If it is true, the report will display the flatten shape result. If it is false, the flatten shape will not be displayed in report.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe bool NXOpen.BodyDes.OnestepUnformBuilder.ReportDisplaySpringback
getset

Returns or sets the option to display springback result in report.

If it is true, the report will display springback result. If it is false, the springback will not be displayed.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe bool NXOpen.BodyDes.OnestepUnformBuilder.ReportDisplayStrain
getset

Returns or sets the option to display strain in report.

If it is true, the report will display strain information. If it is false, the report will not display strain information.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe bool NXOpen.BodyDes.OnestepUnformBuilder.ReportDisplayStress
getset

Returns or sets the option to display stress in report.

If it is true, the stress information will be displayed in report. If it is false, the report will not display stress information.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe bool NXOpen.BodyDes.OnestepUnformBuilder.ReportDisplayThickness
getset

Returns or sets the option to display thickness information in report.

If it is true, the thickness information will be displayed in report. If it is false, the report will not display thickness information.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe bool NXOpen.BodyDes.OnestepUnformBuilder.ReportDisplayViewControl
getset

Returns or sets the option to control view while creating screen image in report.

If it is true, customer can control the view when capturing the screen image. If it is false, default view will be used in report.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe bool NXOpen.BodyDes.OnestepUnformBuilder.ReverseSide
getset

Returns or sets the option to indicate whether or not to unform the profile to the other side on the target body.

This option is appliable only in case the following conditions are all satisfied: entire unform to separate target body, Curve to Curve constraint on inner edges.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.BodyDes.OnestepUnformBuilder.Convergency NXOpen.BodyDes.OnestepUnformBuilder.SolverConvergencyLevel
getset

Returns or sets the convergency level of onestep solver.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.BodyDes.OnestepUnformBuilder.DisplaySpringbackMode NXOpen.BodyDes.OnestepUnformBuilder.SolverDisplaySpringbackMode
getset

Returns or sets the option for springback display.

If it is true, it will display springback in absolution 3D distance, or projecte in x/y/z directions.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe bool NXOpen.BodyDes.OnestepUnformBuilder.SolverDoSpringbackCalculation
getset

Returns or sets the option to do springback calculation in onestep solver.

If it is true, the onestep solver will do springback calculation. If it is false, the solver will not do springback calculation.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe bool NXOpen.BodyDes.OnestepUnformBuilder.SolverJoinOutputCurves
getset

Returns or sets the option to join output curves.

If it is true, join output curves. If it is false, do not join output curves

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe int NXOpen.BodyDes.OnestepUnformBuilder.SolverMaxIterationSteps
getset

Returns or sets the maximum number of iteration steps in onestep solver.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe bool NXOpen.BodyDes.OnestepUnformBuilder.SolverSaveAnalysisResultsIntoFeature
getset

Returns or sets the option to save analysis result into feature.

If it is true, save analysis result into feature. If it is false, do not save analysis result into feature.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.BodyDes.OnestepUnformBuilder.Surface NXOpen.BodyDes.OnestepUnformBuilder.SurfaceType
getset

Returns or sets the surface type used to determine offset direction.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.ScCollector NXOpen.BodyDes.OnestepUnformBuilder.TargetRegion
get

Returns the target region which is a group of faces user chooses to unfrom to.

Created in NX5.0.0

License requirements: None.

unsafe double NXOpen.BodyDes.OnestepUnformBuilder.Thickness
getset

Returns or sets the thickness of sheet metal model.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.Direction NXOpen.BodyDes.OnestepUnformBuilder.ThicknessDirection
getset

Returns or sets the thickness direction used to define the direction of product thickness at the specific point in trimline.

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.Point NXOpen.BodyDes.OnestepUnformBuilder.TrimlinePoint
getset

Returns or sets the point where the thickness direction is defined for trimline.

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.BodyDes.OnestepUnformBuilder.UnfoldMode NXOpen.BodyDes.OnestepUnformBuilder.UnfoldModeType
getset

Returns or sets the onestep unfold mode.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.Body NXOpen.BodyDes.OnestepUnformBuilder.UnfoldSolid
getset

Returns or sets the solid body to unform.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.SelectBodyList NXOpen.BodyDes.OnestepUnformBuilder.UnfoldSolidRegion
get

Returns the unfold solid regions which are a group of faces user chooses to unform.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.BodyDes.OnestepUnformBuilder.UnformRegion
get

Returns the unform region which is a group of faces user chooses to unform.

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.BodyDes.OnestepUnformBuilder.UnformSection
getset

Returns or sets the unform section which includes a group of user selected points or curves.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_onestep_analysis ("NX Onestep Analysis") OR nx_general_packaging ("NX General Packaging") OR die_engineering ("DIE ENGINEERING") OR aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.